Name:           perl-Image-Size
Version:        3.01
Release:        1%{?dist}
Summary:        Determine the size of images in several common formats in Perl

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/Image-Size/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJRAY/Image-Size-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Image::Magick)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Compress::Zlib)
Requires:       perl(Image::Magick)

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives. Image::Size has generalized that code to return a raw (X, Y)
pair, and included wrappers to pre-format that output into either HTML or
a set of attribute pairs suitable for the CGI.pm library by Lincoln Stein.
Currently, Image::Size can size images in XPM, XBM, GIF, JPEG, PNG, MNG, TIFF,
the PPM family of formats (PPM/PGM/PBM) and if Image::Magick is installed,
the formats supported by it.


%prep
%setup -q -n Image-Size-%{version}

pushd lib/Image/
iconv -f iso-8859-1 -t utf-8 -o Size.pm{.utf8,}
mv Size.pm{.utf8,}
popd


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
chmod -R u+w $RPM_BUILD_ROOT/*


%check
mv t/00_signature.t t/00_signature.t.skip
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/imgsize
%{perl_vendorlib}/Image/
%{perl_vendorlib}/auto/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*


%changelog
* Sat Sep 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.01-1
- Update to 3.01.
- Makefile.PL -> Build.PL.

* Sat Jun 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.0-1
- Update to 3.0.

* Fri Feb 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.992-5
- Rebuild for FC5 (perl 5.8.8).

* Fri Dec 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.992-4
- Dist tag.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.992-3
- rebuilt

* Thu Jun  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.992-0.fdr.2
- Bring up to date with current fedora.us perl spec template.

* Sun Oct 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.992-0.fdr.1
- First build.
